ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
    send otppostverify otppost
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

otp


send otp

POST
https://odkmedia.io
/odx/api/v3/otp/
  • 전달받은 값의 종류에 따라 otp 를 전송합니다.
    • email, phone
  • 수신자정보와 otp 를 redis에 기록하여 추후에 검증할 때 사용합니다. 예외
  • 전화번호 형식, email 형식이 아닌 경우,
  • 중복 요청이 온 경우, 입력예
  • email: hero@odkmedia.net
  • phone: +18557202203

send otp › query Parameters

debug
​string

If value is "on", debug is included in response.

send otp › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

send otp › Request Body

OdxV3OTPCreateRequest
account_id
​string · minLength: 1 · maxLength: 128 · required

send otp › Responses

OdxV3OTPCreate
account_id
​string · maxLength: 128 · required
POST/odx/api/v3/otp/
curl https://odkmedia.io/odx/api/v3/otp \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "account_id": "account_id" }'
Example Request Body
{ "account_id": "account_id" }
json
Example Responses
{ "account_id": "account_id" }
json
application/json

verify otp

POST
https://odkmedia.io
/odx/api/v3/otp/verify/

예)

  • {'account_id': 'hero@odkmedia.net', 'otp': '2234'}
  • {'account_id': '+18557202203', 'otp': '2234'}
  • 수신자정보와 otp 를 redis에 기록하여 추후에 검증할 때 사용합니다. 예외
  • 전화번호 형식, email 형식이 아닌 경우
  • 중복 요청이 온 경우

verify otp › query Parameters

debug
​string

If value is "on", debug is included in response.

verify otp › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

verify otp › Request Body

OdxV3OTPVerifyRequest
account_id
​string · minLength: 1 · maxLength: 128 · required
otp
​string · minLength: 1 · maxLength: 6 · required

verify otp › Responses

200
OdxV3OTPVerify
account_id
​string · maxLength: 128 · required
otp
​string · maxLength: 6 · required
POST/odx/api/v3/otp/verify/
curl https://odkmedia.io/odx/api/v3/otp/verify \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>' \ --data '{ "account_id": "account_id", "otp": "otp" }'
Example Request Body
{ "account_id": "account_id", "otp": "otp" }
json
Example Responses
{ "account_id": "account_id", "otp": "otp" }
json
application/json

noticepage